Bug 781077 - (SOA-3566) Wise soapclient exception due to missing wise-core.properties
Wise soapclient exception due to missing wise-core.properties
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0 GA
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Default User
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 22:48 EST by Noel O'Connor
Modified: 2011-11-30 12:30 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JBoss SOA-P 5.1.0
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-3566 Major Closed Wise soapclient exception due to missing wise-core.properties 2013-12-19 07:27:46 EST

  None (edit)
Description Noel O'Connor 2011-11-08 22:48:54 EST
Workaround Description: Add a wise-core.properties to the .ESB archive
project_key: SOA

When using the org.jboss.soa.esb.actions.soap.wise.SOAPClient in an ESB action list. The following exception is thrown unless there is a wire-core.properties file in the ESB root path. This issue is only diagnosed by turning on debug logging 

org.jboss.soa.esb.actions.ActionProcessingException: Error reading 'wise-core.properties'.
        at org.jboss.soa.esb.actions.soap.wise.SOAPClient.createClient(SOAPClient.java:281)
        at org.jboss.soa.esb.actions.soap.wise.SOAPClient.process(SOAPClient.java:238)
        at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:649)
        at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:603)
        at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.process(ActionProcessingPipeline.java:433)
        at org.jboss.soa.esb.listeners.message.MessageAwareListener$TransactionalRunner.run(MessageAwareListener.java:550)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:662)
Caused by: it.javalinux.wise.core.exceptions.WiseException: Error reading 'wise-core.properties'.
        at it.javalinux.wise.core.utils.WiseProperties.<init>(WiseProperties.java:41)
        at org.jboss.soa.esb.actions.soap.wise.WSDynamicClientFactory.create(WSDynamicClientFactory.java:63)
        at org.jboss.soa.esb.actions.soap.wise.SOAPClient.createClient(SOAPClient.java:277)
        ... 8 more
Caused by: java.lang.NullPointerException
        at java.util.Properties$LineReader.readLine(Properties.java:418)
        at java.util.Properties.load0(Properties.java:337)
        at java.util.Properties.load(Properties.java:325)
        at it.javalinux.wise.core.utils.WiseProperties.<init>(WiseProperties.java:39)
        ... 10 more

Note You need to log in before you can comment on or make changes to this bug.